changeset 600:62affc4225e4

Not an elegant solution, should probably revisit this at some point...
author Rob Landley <rob@landley.net>
date Wed, 28 Jan 2009 02:39:42 -0600
parents 43594615dfab
children df62eeaccb27
files build.sh
diffstat 1 files changed, 4 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Fri Jan 23 13:37:16 2009 -0600
+++ b/build.sh	Wed Jan 28 02:39:42 2009 -0600
@@ -43,6 +43,9 @@
   then
     echo "=== Skipping system-image-$i (already there)"
   else
-    time ./system-image.sh $i || exit 1
+    # We need to run this in a new session because the error handling behavior
+    # of this kills everything in its current session, which can kill a wrapper
+    # shell running us if we're not careful.
+    time setsid ./system-image.sh $i || exit 1
   fi
 done